"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_1 = require("../api");
const MergeSummary_1 = require("../responses/MergeSummary");
const task_1 = require("./task");
function mergeTask(customArgs) {
    if (!customArgs.length) {
        return task_1.configurationErrorTask('Git.merge requires at least one option');
    }
    return {
        commands: ['merge', ...customArgs],
        concatStdErr: true,
        format: 'utf-8',
        parser(text) {
            const merge = MergeSummary_1.parseMerge(text);
            if (merge.failed) {
                throw new api_1.GitResponseError(merge);
            }
            return merge;
        }
    };
}
exports.mergeTask = mergeTask;
//# sourceMappingURL=merge.js.map