export declare function parseLinesWithContent<T>(result: T, parsers: LineParser<T>[], text: string): T;
export declare class LineParser<T> {
    private _regExp;
    protected matches: string[];
    constructor(regExp: RegExp | RegExp[], useMatches?: (target: T, match: string[]) => boolean | void);
    protected useMatches(target: T, match: string[]): boolean | void;
    parse: (line: (offset: number) => string | undefined, target: T) => boolean;
    protected resetMatches(): void;
    protected prepareMatches(): string[];
    protected addMatch(reg: RegExp, index: number, line?: string): boolean;
    protected pushMatch(_index: number, matched: string[]): void;
}
export declare class RemoteLineParser<T> extends LineParser<T> {
    constructor(regExp: RegExp | RegExp[], useMatches: ((target: T, match: string[]) => boolean | void) | undefined);
    protected addMatch(reg: RegExp, index: number, line?: string): boolean;
    protected pushMatch(index: number, matched: string[]): void;
}
